<cfcomponent output="false">


	<cffunction name="getQuote" access="remote" output="false" returntype="numeric">
		<cfargument name="symbol" type="string" required="true" />
		
			<cfset var webservice =  "" />
			<cfset var quoteContent = "" />
			<cfset var quote = 0 />
			
			<cftry>
				<cfset webservice = createObject("webservice","http://www.webservicex.net/stockquote.asmx?wsdl") />
				<cfset quoteContent = webservice.GetQuote(arguments.symbol) />
			
				<cfset quoteContent = xmlparse(quoteContent) />
				<cfset quote = quoteContent.StockQuotes.Stock.Last.xmlText />
			
				<cfcatch type="any"></cfcatch>
			</cftry>
			
			<cfreturn quote />
	</cffunction>
	
</cfcomponent>